<template>
    <div>
        <div v-if="loading">Carregando...</div>

        <div class="page-container">
            <search-pokemon @search="searchPokemon"></search-pokemon>
            <div v-if="pokemon">
                <div class="card pokemon-card">
                    <div class="card-header">

                        <h3>{{ pokemon.name }}</h3>
                        <img class="spritePokemon card-img-top" :src="pokemon.sprites.front_default" alt="Pokemon Sprite" />
                        <ul class="typeList">
                            <li class="typeItem card-text" v-for="type in pokemon.types" :key="type.slot">
                                <img :src="getIconPath(type.type.name)" :alt="type.type.name"
                                    style="width: 50px; height: 50px;" />
                            </li>
                        </ul>
                    </div>
                    <div class="card-body">
                        <ul class="status-list">
                            <li v-for="stat in pokemon.stats" :key="stat.stat.name">
                                <div class="status-name">{{ stat.stat.name }}</div>
                                <div class="status-value">{{ stat.base_stat }}</div>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div v-else>
                <div class="card pokemon-card empty-card">
                    Nenhum Pokémon carregado ainda.
                </div>
            </div>
        </div>
    </div>
</template>

<style scoped>
@font-face {
    font-family: "PressStart2P";
    src: url("../assets/fonts/PressStart2P-Regular.ttf") format("truetype");
}

* {
    font-family: "PressStart2P", sans-serif;
}



.page-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    /* Garante que o container ocupe pelo menos 100% da altura da tela */
}

.typeList {
    display: flex;
    justify-content: center;
    border-radius: 10px;
    border: 0lvb;
    border-color: #504c4c;
    list-style: none;
    background-color: antiquewhite;
    padding: 5px;
    width: 70%;
    margin: 0 auto;
    text-align: center;

    margin-top: 10px;
}

.pokemon-card {
    display: flex;
    justify-content: center;
}


.typeItem {
    margin-right: 7%;
    display: flexbox;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 3px;
}

.spritePokemon {
    max-width: 80%;
    background-color: antiquewhite;
    border-radius: 10px;
    border: 4px;
    border-style: solid;
    border-color: rgba(124, 122, 119, 0.398);
}

.pokemon-card {
    border: px solid #504c4c;
    background-image: url('../assets/backgroundCARDS/trainersgonnatrain.png');
    border-radius: 4px;
    padding: 10px;
    margin-bottom: 10px;
    max-width: 370px;
}

.pokemon-card>h2 {
    font-size: 36%;
}

.status-list {
    border-radius: 5px;
    border: solid;
    border-color: #504c4c;
    list-style: none;
    background-color: antiquewhite;
    padding: 5px;
    margin: 0;
    width: 100%;
}

.status-list li {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 3px;
}

.status-name {
    font-weight: lighter;
    margin-right: 10px;
}

.status-value {
    font-weight: bold;
}
</style>

<script>
import SearchPokemon from './SeachPokemon.vue'
import axios from 'axios'

export default {
    components: {
        SearchPokemon,
    },
    data() {
        return {
            loading: false,
            pokemon: null,
        };
    },
    methods: {
        searchPokemon(pokemonName) {
            this.loading = true;
            this.pokemon = null;

            axios
                .get(`https://pokeapi.co/api/v2/pokemon/${pokemonName}`)
                .then((response) => {
                    this.loading = false;
                    this.pokemon = response.data;
                })
                .catch((error) => {
                    console.error(error);
                    this.loading = false;
                });
        },
        getIconPath(iconName) {
            return require(`@/assets/iconsPNG/${iconName}.png`);
        },
    },
};
</script>